Package org.gradle.api.plugins.jvm

## Interface JvmTestSuiteTarget

- All Superinterfaces:
    `Named`, `TestSuiteTarget`

      @Incubating
      public interface JvmTestSuiteTarget
      extends TestSuiteTarget

  Defines the target environment against which a `JvmTestSuite` will be run.
  Since:
    7.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskProvider<Test>` | `getTestTask()` | The `Test` task that runs the tests for the associated test suite.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getTestTask

          TaskProvider<Test> getTestTask()

      The `Test` task that runs the tests for the associated test suite.
      Returns:
        provider to the test task